services:
  php:
    image: ${IMAGE_NAME}
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - icontainer-network
    volumes:
      - ${PANEL_WEBSITE_DIR}:/www/
      - ./conf/php.ini:/usr/local/etc/php/php.ini
      - ./conf/php-fpm.conf:/usr/local/etc/php-fpm.d/www.conf
      - ./conf/zz-docker.conf:/usr/local/etc/php-fpm.d/zz-docker.conf
      - ./log:/var/log/php
      - ./composer:/tmp/composer
      - ./extensions:/php/extensions
      - /var/run/php-sockets/${CONTAINER_NAME}:/var/run/php-sockets
    labels:
      createdBy: "icontainer"
networks:
  icontainer-network:
    external: true